package com.winhc.bean;

import com.winhc.utils.JsonUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/24 09:01
 * @Description:
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class DataWorksFlowTask {
    private String taskName;
    private List<NodeParam> params;

    public Map<String, String> toNodeParam(MergeParam param) {
        return params.stream()
                .collect(Collectors.toMap(NodeParam::getNodeId, n->n.toNodeParam(param), (o1, o2) -> o1));
    }

    @Override
    public String toString() {
        return JsonUtils.jsonObjToString(this);
    }
}
