package com.winhc.config;

import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.profile.DefaultProfile;
import lombok.Data;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/8 15:41
 * @Description:
 */
@Configuration
@Data
@Slf4j
public class DataWorksProjectConfiguration {
    @Autowired
    private DataWorksAccessProperties dataWorksAccessProperties;

    @Bean
    public IAcsClient client() throws ClientException {
        DefaultProfile.addEndpoint(
                "winhc-eci",
                "cn-shanghai",
                "dataworks-public",
                "dataworks." + dataWorksAccessProperties.getRegionId() + ".aliyuncs.com");
        DefaultProfile profile = DefaultProfile.getProfile(dataWorksAccessProperties.getRegionId(), dataWorksAccessProperties.getAccessKeyId(), dataWorksAccessProperties.getAccessKeySecret());
        IAcsClient client = new DefaultAcsClient(profile);
        return client;
    }
}
