package com.winhc.config;

import org.neo4j.driver.AuthTokens;
import org.neo4j.driver.Config;
import org.neo4j.driver.Driver;
import org.neo4j.driver.GraphDatabase;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class Neo4jDriverV1 {

    @Value("${spring.data.neo4j.uri.v1}")
    private String uri;
    @Value("${spring.data.neo4j.username.v1}")
    private String username;
    @Value("${spring.data.neo4j.password.v1}")
    private String password;

    @Bean("DriverV1")
    @Primary
    public Driver init1() {
        Config config = Config.builder().withConnectionTimeout(100, TimeUnit.SECONDS).withMaxTransactionRetryTime(10, TimeUnit.SECONDS).build();
        return GraphDatabase.driver(uri, AuthTokens.basic(username, password), config);
    }

}