package com.winhc.config;

import org.neo4j.driver.AuthTokens;
import org.neo4j.driver.Config;
import org.neo4j.driver.Driver;
import org.neo4j.driver.GraphDatabase;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class Neo4jDriverV2 {

    @Value("${spring.data.neo4j.uri.v2}")
    private String uri_v2;
    @Value("${spring.data.neo4j.username.v2}")
    private String username_v2;
    @Value("${spring.data.neo4j.password.v2}")
    private String password_v2;

    @Bean("DriverV2")
    public Driver init2() {
        Config config = Config.builder().withConnectionTimeout(100, TimeUnit.SECONDS).withMaxTransactionRetryTime(10, TimeUnit.SECONDS).build();
        return GraphDatabase.driver(uri_v2, AuthTokens.basic(username_v2, password_v2), config);
    }
}