package com.winhc.kafka.produce;

import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.kafka.support.SendResult;
import org.springframework.stereotype.Service;
import org.springframework.util.concurrent.ListenableFuture;

import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

/**
 * @author π
 * @Description:
 * @date 2020/12/24 10:03
 */
@Slf4j
@Service
@AllArgsConstructor
public class KafkaProduce {

    private final KafkaTemplate<String, String> kafkaTemplate;

    public void produce(String topic, String message) throws InterruptedException, ExecutionException, TimeoutException {
        ListenableFuture<SendResult<String, String>> send = kafkaTemplate.send(topic, message);
        //send.get(10,TimeUnit.SECONDS);
        send.addCallback(o -> {
            //System.out.println("消息发送成功：" + message);
        }, throwable -> {
            log.error("KafkaProduce send error | message:{} | error message:{} | end !", message, throwable.getMessage());
            //System.out.println("消息发送失败：" + message);
        });
    }


}
