package com.winhc.task;

import com.winhc.utils.EsUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.elasticsearch.client.RestClient;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import java.io.IOException;

/**
 * @author π
 * @Description:清理移除数据
 * @date 2021/6/22 17:07
 */

@Component
@Slf4j
@EnableScheduling
@AllArgsConstructor
public class ESCleanTask {

    private final RestClient restClient;

    @Scheduled(cron = "00 00 19 * * ?")
    //@Scheduled(cron = "*/20 * * * * ?")
    //@Scheduled(cron = "30 17 14 23 06 ?")
    public void cleanEsScheduled() throws IOException, InterruptedException {
        String dsl = "{\n" +
                "  \"query\": {\n" +
                "    \"term\": {\n" +
                "      \"deleted\": {\n" +
                "        \"value\": \"1\"\n" +
                "      }\n" +
                "    }\n" +
                "  }\n" +
                "}";
        String[] indexs = new String[]{"winhc_judicial_case", "winhc_judicial_case_detail"};
        log.info("cleanEsScheduled start !!!");
        for (String index : indexs) {
            EsUtils.deletedByQuery(restClient, dsl, index);
            Thread.sleep(1000 * 60 * 5);
        }
        log.info("cleanEsScheduled end !!!");

    }
}
