package com.winhc.utils;

import org.neo4j.driver.Result;
import org.neo4j.driver.Session;
import org.neo4j.driver.Value;

import java.util.HashMap;
import java.util.List;
import java.util.Properties;

/**
 * @author π
 * @Description:
 * @date 2021/1/11 21:31
 */
public class CompanyUtils {

    public static String runNeo4j(Session session, String cql) {
        String data = session.writeTransaction(tx -> {
            Result result = tx.run(cql);
            String r1 = result.list().get(0).values().toString();
            return r1;
        });
        return data;
    }

    public static String runNeo4j(Session session, String cql, HashMap<String,Object> parameters) {
        String data = session.writeTransaction(tx -> {
            Result result = tx.run(cql, parameters);
            return "success";
        });
        return data;
    }

    public static Boolean isWindows() {
        Properties props = System.getProperties();
        if (props.containsKey("os.name") && props.get("os.name").toString().contains("Windows")) {
            return true;
        }
        return false;
    }
    public static String getIncrPersonLabel(String label) {
        return label + DateUtil.getDateBefore(-1).replace("-", "");
    }

    public static void main(String[] args) {
        System.out.println(CompanyUtils.isWindows());
    }

}
