package com.winhc;

import cn.hutool.core.io.FileUtil;
import com.alibaba.fastjson.JSON;
import com.winhc.utils.DateUtil;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.LineIterator;

import java.io.IOException;
import java.util.*;
import java.util.stream.Collectors;

/**
 * @author π
 * @Description:
 * @date 2021/2/26 13:53
 */
public class LoadCSV {
    public static void main(String[] args) throws IOException {
        //String path = "D:\\data\\opt\\export\\incr-person-20210225.csv";
        String path = "D:\\data\\opt\\export\\deleted-person-20210225.csv";
        String flag = "0";

        LineIterator it = FileUtils.lineIterator(FileUtil.file(path), "UTF-8");
        try {
            int i = 0;
            while (it.hasNext()) {
                String line = it.nextLine();
                ++i;
                if (i == 1) continue;
                line = "\"p020831e103ce862cf637838fb7a496f4\",\"王耀东（依据成都市武侯区人民法院行政判决书（2019）川0107行初69号撤销登记为股东,法定代表人\",\"cccc\",\"0\",\"股东\"";
                Map<String, String> map = new HashMap<>();
                //List<String> list = Arrays.asList(line.replaceAll("\"", "").split(",", -1));
                List<String> list = Arrays.asList(line.split("\",\"", -1)).stream()
                        .map(x-> x.replaceAll("\"", "")).collect(Collectors.toList());
                if (list.size() < 2) continue;
                String time = DateUtil.formatDate_YYYY_MM_DD_HH_MM_SS(new Date());
                map.put("create_time", time);
                map.put("update_time", time);
                map.put("person_id", list.get(0));
                map.put("person_name", list.get(1));
                if ("0".equals(flag)) {//合并
                    map.put("company_id", list.get(2));
                    map.put("deleted", list.get(3));
                    map.put("label", list.get(4));
                } else {//删除
                    map.put("company_id", "");
                    map.put("deleted", "9");
                    map.put("label", "");
                }
                String message = JSON.toJSONString(map);
                System.out.println(message);
            }
        } finally {
            LineIterator.closeQuietly(it);
        }
    }
}
